set(arithmetic).
assign(start_size,11).         
assign(end_size,13).
assign(max_models,-1).

list(distinct).
    [0,i,i+1,i+2,i+3,i+4,i+5,i+6,i+7,i+8,i+9,
       a1,a2,a3,a4,a5,b1,b2,b3,b4,b5].
end_of_list. 

formulas(five_pointed_star). 
  i = domain_size + -11.        a1 + b2 + b3 + a3 = 24.
  a1 + b1 + b5 + a4 = 24.       a2 + b2 + b1 + a5 = 24.
  a2 + b3 + b4 + a4 = 24.       a3 + b4 + b5 + a5 = 24.
end_of_list.  

